#
# spec file for package python-ws4py
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-ws4py
Version:        0.4.2
Release:        lp151.3.3.1
License:        BSD-3-Clause
Summary:        WebSocket client and server library for Python
Url:            https://github.com/Lawouach/WebSocket-for-Python
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/w/ws4py/ws4py-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module CherryPy}
BuildRequires:  %{python_module gevent}
BuildRequires:  %{python_module greenlet}
BuildRequires:  %{python_module tornado}
%endif
BuildArch:      noarch

%python_subpackages

%description
Python library providing an implementation of the WebSocket protocol
defined in RFC 6455.

%prep
%setup -q -n ws4py-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Tue Feb 18 2020 Julio González Gil <jgonzalez@suse.com>
- Fix license. Correct one is BSD-3-Clause.
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
